## ev-document-model

ev-document-model

## Functions

EvDocumentModel * | ev_document_model_new ()
EvDocumentModel * | ev_document_model_new_with_document ()
void | ev_document_model_set_document ()
EvDocument * | ev_document_model_get_document ()
void | ev_document_model_set_page ()
void | ev_document_model_set_page_by_label ()
gint | ev_document_model_get_page ()
void | ev_document_model_set_scale ()
gdouble | ev_document_model_get_scale ()
void | ev_document_model_set_max_scale ()
gdouble | ev_document_model_get_max_scale ()
void | ev_document_model_set_min_scale ()
gdouble | ev_document_model_get_min_scale ()
void | ev_document_model_set_sizing_mode ()
EvSizingMode | ev_document_model_get_sizing_mode ()
void | ev_document_model_set_rotation ()
gint | ev_document_model_get_rotation ()
void | ev_document_model_set_inverted_colors ()
gboolean | ev_document_model_get_inverted_colors ()
void | ev_document_model_set_continuous ()
gboolean | ev_document_model_get_continuous ()
void | ev_document_model_set_dual_page ()
gboolean | ev_document_model_get_dual_page ()
void | ev_document_model_set_fullscreen ()
gboolean | ev_document_model_get_fullscreen ()

## Properties

gboolean | continuous | Read / Write
EvDocument * | document | Read / Write
gboolean | dual-odd-left | Read / Write
gboolean | dual-page | Read / Write
gboolean | fullscreen | Read / Write
gboolean | inverted-colors | Read / Write
gint | page | Read / Write
gint | rotation | Read / Write
gdouble | scale | Read / Write
EvSizingMode | sizing-mode | Read / Write

## Signals

void | page-changed | Run Last

## Types and Values

enum | EvSizingMode
| EvDocumentModel
| EvDocumentModelClass

## Object Hierarchy

        GEnum
        ╰── EvSizingMode
        GObject
        ╰── EvDocumentModel

## Description

## Functions

### ev_document_model_new ()

    EvDocumentModel *
    ev_document_model_new (void);

### ev_document_model_new_with_document ()

    EvDocumentModel *
    ev_document_model_new_with_document (EvDocument *document);

### ev_document_model_set_document ()

    void
    ev_document_model_set_document (EvDocumentModel *model,
                                    EvDocument *document);

### ev_document_model_get_document ()

    EvDocument *
    ev_document_model_get_document (EvDocumentModel *model);

Returns the EvDocument referenced by the model.

#### Parameters

model | a EvDocumentModel |

#### Returns

a EvDocument.

[transfer none]

### ev_document_model_set_page ()

    void
    ev_document_model_set_page (EvDocumentModel *model,
                                gint page);

### ev_document_model_set_page_by_label ()

    void
    ev_document_model_set_page_by_label (EvDocumentModel *model,
                                         const gchar *page_label);

### ev_document_model_get_page ()

    gint
    ev_document_model_get_page (EvDocumentModel *model);

### ev_document_model_set_scale ()

    void
    ev_document_model_set_scale (EvDocumentModel *model,
                                 gdouble scale);

### ev_document_model_get_scale ()

    gdouble
    ev_document_model_get_scale (EvDocumentModel *model);

### ev_document_model_set_max_scale ()

    void
    ev_document_model_set_max_scale (EvDocumentModel *model,
                                     gdouble max_scale);

### ev_document_model_get_max_scale ()

    gdouble
    ev_document_model_get_max_scale (EvDocumentModel *model);

### ev_document_model_set_min_scale ()

    void
    ev_document_model_set_min_scale (EvDocumentModel *model,
                                     gdouble min_scale);

### ev_document_model_get_min_scale ()

    gdouble
    ev_document_model_get_min_scale (EvDocumentModel *model);

### ev_document_model_set_sizing_mode ()

    void
    ev_document_model_set_sizing_mode (EvDocumentModel *model,
                                       EvSizingMode mode);

### ev_document_model_get_sizing_mode ()

    EvSizingMode
    ev_document_model_get_sizing_mode (EvDocumentModel *model);

### ev_document_model_set_rotation ()

    void
    ev_document_model_set_rotation (EvDocumentModel *model,
                                    gint rotation);

### ev_document_model_get_rotation ()

    gint
    ev_document_model_get_rotation (EvDocumentModel *model);

### ev_document_model_set_inverted_colors ()

    void
    ev_document_model_set_inverted_colors (EvDocumentModel *model,
                                           gboolean inverted_colors);

### ev_document_model_get_inverted_colors ()

    gboolean
    ev_document_model_get_inverted_colors (EvDocumentModel *model);

### ev_document_model_set_continuous ()

    void
    ev_document_model_set_continuous (EvDocumentModel *model,
                                      gboolean continuous);

### ev_document_model_get_continuous ()

    gboolean
    ev_document_model_get_continuous (EvDocumentModel *model);

### ev_document_model_set_dual_page ()

    void
    ev_document_model_set_dual_page (EvDocumentModel *model,
                                     gboolean dual_page);

### ev_document_model_get_dual_page ()

    gboolean
    ev_document_model_get_dual_page (EvDocumentModel *model);

### ev_document_model_set_fullscreen ()

    void
    ev_document_model_set_fullscreen (EvDocumentModel *model,
                                      gboolean fullscreen);

### ev_document_model_get_fullscreen ()

    gboolean
    ev_document_model_get_fullscreen (EvDocumentModel *model);

## Types and Values

### enum EvSizingMode

#### Members

EV_SIZING_BEST_FIT |  |
EV_SIZING_FIT_WIDTH |  |
EV_SIZING_FREE |  |

### EvDocumentModel

    typedef struct _EvDocumentModel EvDocumentModel;

### EvDocumentModelClass

    typedef struct _EvDocumentModelClass EvDocumentModelClass;

## Property Details

### The `“continuous”` property

      “continuous”               gboolean

Whether document is displayed in continuous mode.

Flags: Read / Write

Default value: TRUE

### The `“document”` property

      “document”                 EvDocument *

The current document.

Flags: Read / Write

### The `“dual-odd-left”` property

      “dual-odd-left”            gboolean

Whether odd pages are displayed on left side in dual mode.

Flags: Read / Write

Default value: FALSE

### The `“dual-page”` property

      “dual-page”                gboolean

Whether document is displayed in dual page mode.

Flags: Read / Write

Default value: FALSE

### The `“fullscreen”` property

      “fullscreen”               gboolean

Whether document is displayed in fullscreen mode.

Flags: Read / Write

Default value: FALSE

### The `“inverted-colors”` property

      “inverted-colors”          gboolean

Whether document is displayed with inverted colors.

Flags: Read / Write

Default value: FALSE

### The `“page”` property

      “page”                     gint

Current page.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“rotation”` property

      “rotation”                 gint

Current rotation angle.

Flags: Read / Write

Allowed values: [0,360]

Default value: 0

### The `“scale”` property

      “scale”                    gdouble

Current scale factor.

Flags: Read / Write

Allowed values: >= 0

Default value: 1

### The `“sizing-mode”` property

      “sizing-mode”              EvSizingMode

Current sizing mode.

Flags: Read / Write

Default value: EV_SIZING_FIT_WIDTH

## Signal Details

### The `“page-changed”` signal

    void
    user_function (EvDocumentModel *evdocumentmodel,
                   gint             arg1,
                   gint             arg2,
                   gpointer         user_data)

Flags: Run Last